
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.makeshiftweaponry.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredItem;
import net.neoforged.neoforge.registries.DeferredHolder;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;

import net.mcreator.makeshiftweaponry.item.ShivItem;
import net.mcreator.makeshiftweaponry.item.MolotovItem;
import net.mcreator.makeshiftweaponry.item.ImprovisedCannonItem;
import net.mcreator.makeshiftweaponry.item.BlackjackItem;
import net.mcreator.makeshiftweaponry.MakeshiftWeaponryMod;

import java.util.function.Function;

public class MakeshiftWeaponryModItems {
	public static final DeferredRegister.Items REGISTRY = DeferredRegister.createItems(MakeshiftWeaponryMod.MODID);
	public static final DeferredItem<Item> SHIV = register("shiv", ShivItem::new);
	public static final DeferredItem<Item> PIT_TRAP_COVER = block(MakeshiftWeaponryModBlocks.PIT_TRAP_COVER);
	public static final DeferredItem<Item> BLACKJACK = register("blackjack", BlackjackItem::new);
	public static final DeferredItem<Item> IMPROVISED_CANNON = register("improvised_cannon", ImprovisedCannonItem::new);
	public static final DeferredItem<Item> MOLOTOV = register("molotov", MolotovItem::new);

	// Start of user code block custom items
	// End of user code block custom items
	private static <I extends Item> DeferredItem<I> register(String name, Function<Item.Properties, ? extends I> supplier) {
		return REGISTRY.registerItem(name, supplier, new Item.Properties());
	}

	private static DeferredItem<Item> block(DeferredHolder<Block, Block> block) {
		return REGISTRY.registerItem(block.getId().getPath(), properties -> new BlockItem(block.get(), properties), new Item.Properties());
	}
}
