
package net.mcreator.makeshiftweaponry.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.InteractionResult;
import net.minecraft.world.InteractionHand;

import net.mcreator.makeshiftweaponry.procedures.ImprovisedCannonEntitySwingsItemProcedure;

public class ImprovisedCannonItem extends Item {
	public ImprovisedCannonItem(Item.Properties properties) {
		super(properties.rarity(Rarity.COMMON).durability(5));
	}

	@Override
	public int getUseDuration(ItemStack itemstack, LivingEntity livingEntity) {
		return 5;
	}

	@Override
	public InteractionResult use(Level world, Player entity, InteractionHand hand) {
		InteractionResult ar = super.use(world, entity, hand);
		entity.startUsingItem(hand);
		return ar;
	}

	@Override
	public boolean onEntitySwing(ItemStack itemstack, LivingEntity entity, InteractionHand hand) {
		boolean retval = super.onEntitySwing(itemstack, entity, hand);
		ImprovisedCannonEntitySwingsItemProcedure.execute(entity.level(), entity, itemstack);
		return retval;
	}
}
